/*! template for user profile
 **/
function profile_template(obj) {
	var sex = obj.sex || ' ';
	sex = sex[0].toUpperCase() + sex.substr(1);
	var clear = '<div class="dhx_form_clear"></div>';
	var profile = '<div class="user_profile">';
	var group = '';
	switch (obj.group) {
		case 'elementary':
			group = 'Elementary';
			break;
		case 'preintermediate':
			group = 'Pre-Intermediate';
			break;
		case 'intermediate':
			group = 'Intermediate';
			break;
		case 'upperintermediate':
			group = 'Upper Intermediate';
			break;
		case 'advanced':
			group = 'Advanced';
			break;
	}
	var driver_lisense = (obj.driver_lisense == "1" || obj.driver_lisense == "true") ? "Yes" : "No";
	if (typeof(obj.driver_lisense) == "undefined") driver_lisense = "";
	profile += '<div class="label">Name:</div><div class="value">' + (obj.name||'') + '</div>' + clear;
	profile += '<div class="label">Sex:</div><div class="value">' + sex + '</div>' + clear;
	profile += '<div class="label">Age:</div><div class="value">' + (obj.age||'') + '</div>' + clear;
	profile += '<div class="label">City:</div><div class="value">' + (obj.city||'') + '</div>' + clear;
	profile += '<div class="label">Phone:</div><div class="value">' + (obj.phone||'') + '</div>' + clear;
	profile += '<div class="label">Group:</div><div class="value">' + group + '</div>' + clear;
	profile += '<div class="label">Driver lisense:</div><div class="value">' + driver_lisense + '</div>' + clear;
	profile += '</div>';
	return profile;
}

/*! edit form config */
var user_edit = { view:"form", id:"user_edit", data:[
	{ type: 'text', name: 'name', label: 'Name', value: '',id:'user_name'},
	{ type: 'counter', id: 'age', name: 'age', label: 'Age', step: 1, width: 20, value: '25', labelWidth: 150, position: 'label-left', labelAlign: 'left', min: '0', max: '125', sameLine: true},
	{ type: 'text', name: 'city', label: 'City', value: '',id:'user_city'},
	{ type: 'radio', name: 'sex', id:'sex', position: 'label-left', labelWidth: 230, labelAlign: 'left',  value: 'male', sameLine: true, data:[
		{ label: 'Male', value: 'male' },
		{ label: 'Female', value: 'female' }
	]},

	{ type: 'list', id: 'group', name: 'group', label: 'Group', value: 'preintermediate', data: [
		{ id: 'elementary', value: 'Elementary' },
		{ id: 'preintermediate', value: 'Pre-Intermediate' },
		{ id: 'intermediate', value: 'Intermediate' },
		{ id: 'upperintermediate', value: 'Upper Intermediate' },
		{ id: 'advanced', value: 'Advanced' }
	]},
	{ type: 'text', name: 'phone', label: 'Phone', value: '',id:'user_phone'},
	{ type: 'checkbox', name: 'driver_lisense', label:"Driver lisense", labelWidth: 230, position: "label-left", labelAlign: "left", sameLine: true, id:'driver_license'},
	{ type: 'form_button', id: 'save', name: 'save', value: 'Save', width: 120, click: 'edit_save'},
	{ type: 'form_button', id: 'cancel', name: 'cancel', value: 'Cancel', width: 120, click: 'edit_cancel' }
]}

/*! add/edit/delete toolbar */
var user_toolbar = {
	id: 'main_toolbar',
	view: 'toolbar',
	type: 'MainBar',
	data: [
		{ type: 'icon', icon: 'delete', align: 'right', click: 'delete_user',id:'delete_user'},
		{ type: 'icon', icon: 'edit', align: 'right', click: 'edit_user', id:'edit_user'},
		{ type: 'icon', icon: 'add', align: 'right', click: 'new_user', id:'new_user'}
	]
}

/*! users list config */
var user_list = {
	view: 'layout',
	id: 'users_list_cont',
	rows: [{
		id: 'filter_toolbar', view: 'toolbar', type: 'MainBar', data: [
			{ id: 'filter_inp', type: 'text', name: 'users_filter', label: 'Filter by', value: '', position: 'label-left', inputWidth: 100, labelWidth: 0, align: 'center', onclick: "users_filter" }
		]
	},
	{ id: 'users_list', view: 'list', url: 'connector.php', datatype: 'json', type: 'default', template: "#name#", select: true, click: 'load_details' }
]};